%define anolis_release 2
Name: zziplib
Version: 0.13.72
Release: %{anolis_release}%{?dist}
Summary: Lightweight library to easily extract data from zip files
License: LGPLv2+ or MPLv1.1
URL: http://zziplib.sourceforge.net/
Source: https://github.com/gdraheim/zziplib/archive/v%{version}.tar.gz

BuildRequires: make gcc cmake perl-interpreter python3-rpm-macros
BuildRequires: zip xmlto zlib-devel

%description
The %{name} library is intentionally lightweight, it offers the ability to
easily extract data from files archived in a single zip file. Applications
can bundle files into a single zip archive and access them. The implementation
is based only on the (free) subset of compression with the zlib algorithm
which is actually used by the zip/unzip tools.

%package utils
Summary: Utilities for the %{name} library
Requires: %{name} = %{version}-%{release}

%description utils
The %{name} library is intentionally lightweight, it offers the ability to
easily extract data from files archived in a single zip file. Applications
can bundle files into a single zip archive and access them. The implementation
is based only on the (free) subset of compression with the zlib algorithm
which is actually used by the zip/unzip tools.

This packages contains all the utilities that come with the %{name} library.

%package devel
Summary: Development files for the %{name} library
Requires: %{name} = %{version}-%{release}

%description devel
The %{name} library is intentionally lightweight, it offers the ability to
easily extract data from files archived in a single zip file. Applications
can bundle files into a single zip archive and access them. The implementation
is based only on the (free) subset of compression with the zlib algorithm
which is actually used by the zip/unzip tools.

This package contains files required to build applications that will use the
%{name} library.

%package doc
Summary: Documentation files for %{name}
BuildArch: noarch
Requires: %{name} = %{version}-%{release}

%description doc
Documentation files for %{name}.

%prep
%autosetup -p1

%build
%cmake
%cmake_build

%install
%cmake_install

%files
%license docs/COPYING*
%{_libdir}/*.so.*

%files utils
%{_bindir}/*

%files devel
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_datadir}/aclocal/*.m4
%{_mandir}/man3/*
%doc docs/README.SDL docs/*.htm

%files doc
%doc README TODO ChangeLog

%changelog
* Wed Apr 12 2023 Shawn Wang <shawnwang@linux.alibaba.com> - 0.13.72-2
- Optimize the spec file

* Tue Jan 24 2023 Funda Wang <fundawang@yeah.net> - 0.13.72-1
- Import for anolis 23
- Drop support for SDL, too old for upstream (#132) to port
